com.independentsoft.exchange

## Class MailboxQuery

- java.lang.Object
- - com.independentsoft.exchange.MailboxQuery

-     public class MailboxQuery
      extends java.lang.Object

  The Class MailboxQuery.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailboxQuery()` Instantiates a new mailbox query.
    `MailboxQuery(java.lang.String query, java.util.List<MailboxSearchScope> mailboxSearchScopes)` Instantiates a new mailbox query.
    `MailboxQuery(java.lang.String query, MailboxSearchScope mailboxSearchScope)` Instantiates a new mailbox query.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<MailboxSearchScope>` | `getMailboxSearchScopes()` Gets the mailbox search scopes.
    `java.lang.String` | `getQuery()` Gets the query.
    `void` | `setQuery(java.lang.String query)` Sets the query.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailboxQuery

          public MailboxQuery()

      Instantiates a new mailbox query.

    - #### MailboxQuery

          public MailboxQuery(java.lang.String query,
                              MailboxSearchScope mailboxSearchScope)

      Instantiates a new mailbox query.
      Parameters:
        `query` - the query
        `mailboxSearchScope` - the mailbox search scope

    - #### MailboxQuery

          public MailboxQuery(java.lang.String query,
                              java.util.List<MailboxSearchScope> mailboxSearchScopes)

      Instantiates a new mailbox query.
      Parameters:
        `query` - the query
        `mailboxSearchScopes` - the mailbox search scopes

  - ### Method Detail

    - #### getQuery

          public java.lang.String getQuery()

      Gets the query.
      Returns:
        the query

    - #### setQuery

          public void setQuery(java.lang.String query)

      Sets the query.
      Parameters:
        `query` - the new query

    - #### getMailboxSearchScopes

          public java.util.List<MailboxSearchScope> getMailboxSearchScopes()

      Gets the mailbox search scopes.
      Returns:
        the mailbox search scopes